Bug 579263 - info crashes when using index/help
Summary: info crashes when using index/help
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: texinfo
Version: 14
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Vitezslav Crhonek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-03 17:52 UTC by Tim Landscheidt
Modified: 2010-09-09 04:35 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2010-09-09 04:35:02 UTC


Attachments (Terms of Use)

Description Tim Landscheidt 2010-04-03 17:52:46 UTC
Description of problem:

info crashes when using the index in some circumstances (see below).


Version-Release number of selected component (if applicable):

info-4.13a-4.fc11.i586


How reproducible:

Always.


Steps to Reproduce:

1. "info '(info)'".
2. "i", RET -> Index window pops up.
3. "C-h" -> Help window pops up.
4. "i" -> "Speicherzugriffsfehler" (segmentation fault).


Additional info:

Output of strace attached with -p $PID after startup:

| Process 4528 attached - interrupt to quit
| read(0, "i", 1)                         = 1
| write(1, "\33[40;1H\33[K", 10)          = 10
| stat64("/usr/share/info/info.info.gz", {st_mode=S_IFREG|0644, st_size=20793, ...}) = 0
| write(1, "\33[40;1HIndex-Eintr\303\244ge werden ge"..., 40) = 40
| ioctl(0, FIONREAD, [0])                 = 0
| stat64("/usr/share/info/info.info.gz", {st_mode=S_IFREG|0644, st_size=20793, ...}) = 0
| stat64("/usr/share/info/info.info.gz", {st_mode=S_IFREG|0644, st_size=20793, ...}) = 0
| stat64("/usr/share/info/info.info.gz", {st_mode=S_IFREG|0644, st_size=20793, ...}) = 0
| stat64("/usr/share/info/info.info.gz", {st_mode=S_IFREG|0644, st_size=20793, ...}) = 0
| write(1, "\33[40;1HIndex-Eintrag: \33[K", 25) = 25
| ioctl(0, FIONREAD, [0])                 = 0
| write(1, "\33[40;16H", 8)               = 8
| ioctl(0, FIONREAD, [0])                 = 0
| write(1, "\33[40;1HIndex-Eintrag: ", 22) = 22
| ioctl(0, FIONREAD, [0])                 = 0
| write(1, "\33[40;16H", 8)               = 8
| ioctl(0, FIONREAD, [0])                 = 0
| read(0, "\r", 1)                        = 1
| write(1, "\33[1;1H", 6)                 = 6
| stat64("/usr/share/info/info.info.gz", {st_mode=S_IFREG|0644, st_size=20793, ...}) = 0
| stat64("/usr/share/info/info.info.gz", {st_mode=S_IFREG|0644, st_size=20793, ...}) = 0
| write(1, "\33[40;1H\33[K", 10)          = 10
| ioctl(0, FIONREAD, [0])                 = 0
| write(1, "\33[1;1HFile: info.info,  Node: In"..., 68) = 68
| ioctl(0, FIONREAD, [0])                 = 0
| ioctl(0, FIONREAD, [0])                 = 0
| write(1, "\33[3;1HIndex\33[K", 14)      = 14
| ioctl(0, FIONREAD, [0])                 = 0
| write(1, "\33[4;1H*****\33[K", 14)      = 14
| ioctl(0, FIONREAD, [0])                 = 0
| ioctl(0, FIONREAD, [0])                 = 0
| write(1, "\33[6;1HThis is an alphabetical li"..., 76) = 76
| ioctl(0, FIONREAD, [0])                 = 0
| write(1, "\33[7;1Htopics discussed in this d"..., 43) = 43
| ioctl(0, FIONREAD, [0])                 = 0
| write(1, "\33[8;1H\33[K", 9)            = 9
| ioctl(0, FIONREAD, [0])                 = 0
| ioctl(0, FIONREAD, [0])                 = 0
| write(1, "\33[10;1H* Menu:\33[K", 17)   = 17
| ioctl(0, FIONREAD, [0])                 = 0
| write(1, "\33[11;1H\33[K", 10)          = 10
| ioctl(0, FIONREAD, [0])                 = 0
| write(1, "\33[12;1H* 1 through 9 (Info mode)"..., 69) = 69
| ioctl(0, FIONREAD, [0])                 = 0
| write(1, "\33[13;1H                         "..., 79) = 79
| ioctl(0, FIONREAD, [0])                 = 0
| write(1, "\33[14;1H* ? (Info mode):         "..., 79) = 79
| ioctl(0, FIONREAD, [0])                 = 0
| write(1, "\33[15;1H* abbreviating Info subno"..., 79) = 79
| ioctl(0, FIONREAD, [0])                 = 0
| write(1, "\33[16;1H* b (Info mode):         "..., 79) = 79
| ioctl(0, FIONREAD, [0])                 = 0
| write(1, "\33[17;1H* BACKSPACE (Info mode): "..., 79) = 79
| ioctl(0, FIONREAD, [0])                 = 0
| write(1, "\33[18;1H* C-l (Info mode):       "..., 79) = 79
| ioctl(0, FIONREAD, [0])                 = 0
| write(1, "\33[19;1H* C-q (Info mode):       "..., 79) = 79
| ioctl(0, FIONREAD, [0])                 = 0
| write(1, "\33[20;1H* C-r (Info mode):       "..., 79) = 79
| ioctl(0, FIONREAD, [0])                 = 0
| write(1, "\33[21;1H* C-s (Info mode):       "..., 79) = 79
| ioctl(0, FIONREAD, [0])                 = 0
| write(1, "\33[22;1H* clone-buffer:          "..., 79) = 79
| ioctl(0, FIONREAD, [0])                 = 0
| write(1, "\33[23;1H* completion of Info node"..., 79) = 79
| ioctl(0, FIONREAD, [0])                 = 0
| write(1, "\33[24;1H* cross reference format:"..., 79) = 79
| ioctl(0, FIONREAD, [0])                 = 0
| write(1, "\33[25;1H* cross references in Inf"..., 79) = 79
| ioctl(0, FIONREAD, [0])                 = 0
| write(1, "\33[26;1H* d (Info mode):         "..., 79) = 79
| ioctl(0, FIONREAD, [0])                 = 0
| write(1, "\33[27;1H* DEL (Info mode):       "..., 79) = 79
| ioctl(0, FIONREAD, [0])                 = 0
| write(1, "\33[28;1H* Directory node:        "..., 79) = 79
| ioctl(0, FIONREAD, [0])                 = 0
| write(1, "\33[29;1H* f (Info mode):         "..., 82) = 82
| ioctl(0, FIONREAD, [0])                 = 0
| write(1, "\33[30;1H* format of node headers:"..., 79) = 79
| ioctl(0, FIONREAD, [0])                 = 0
| write(1, "\33[31;1H* g (Info mode):         "..., 79) = 79
| ioctl(0, FIONREAD, [0])                 = 0
| write(1, "\33[32;1H* go to a node by name:  "..., 79) = 79
| ioctl(0, FIONREAD, [0])                 = 0
| write(1, "\33[33;1H* go to another Info file"..., 79) = 79
| ioctl(0, FIONREAD, [0])                 = 0
| write(1, "\33[34;1H* go to Directory node:  "..., 79) = 79
| ioctl(0, FIONREAD, [0])                 = 0
| write(1, "\33[35;1H* go to Top node:        "..., 79) = 79
| ioctl(0, FIONREAD, [0])                 = 0
| write(1, "\33[36;1H* going back in Info hist"..., 79) = 79
| ioctl(0, FIONREAD, [0])                 = 0
| write(1, "\33[37;1H* going forward in Info h"..., 79) = 79
| ioctl(0, FIONREAD, [0])                 = 0
| write(1, "\33[38;1H* header of Info node:   "..., 79) = 79
| ioctl(0, FIONREAD, [0])                 = 0
| write(1, "\33[39;1H\33[7m--zz-Info: (info.info"..., 172) = 172
| write(1, "\33[1;1H", 6)                 = 6
| ioctl(0, FIONREAD, [0])                 = 0
| read(0, "\10", 1)                       = 1
| ioctl(0, FIONREAD, [0])                 = 0
| write(1, "\33[1;1HFile: info.info,  Node: In"..., 65) = 65
| ioctl(0, FIONREAD, [0])                 = 0
| ioctl(0, FIONREAD, [0])                 = 0
| write(1, "\33[3;1HIndex", 11)           = 11
| ioctl(0, FIONREAD, [0])                 = 0
| write(1, "\33[4;1H*****", 11)           = 11
| ioctl(0, FIONREAD, [0])                 = 0
| ioctl(0, FIONREAD, [0])                 = 0
| write(1, "\33[6;1HThis is an alphabetical li"..., 73) = 73
| ioctl(0, FIONREAD, [0])                 = 0
| write(1, "\33[7;1Htopics discussed in this d"..., 40) = 40
| ioctl(0, FIONREAD, [0])                 = 0
| ioctl(0, FIONREAD, [0])                 = 0
| ioctl(0, FIONREAD, [0])                 = 0
| write(1, "\33[10;1H* Menu:", 14)        = 14
| ioctl(0, FIONREAD, [0])                 = 0
| ioctl(0, FIONREAD, [0])                 = 0
| write(1, "\33[12;1H* 1 through 9 (Info mode)"..., 69) = 69
| ioctl(0, FIONREAD, [0])                 = 0
| write(1, "\33[13;1H                         "..., 79) = 79
| ioctl(0, FIONREAD, [0])                 = 0
| write(1, "\33[14;1H* ? (Info mode):         "..., 79) = 79
| ioctl(0, FIONREAD, [0])                 = 0
| write(1, "\33[15;1H* abbreviating Info subno"..., 79) = 79
| ioctl(0, FIONREAD, [0])                 = 0
| write(1, "\33[16;1H* b (Info mode):         "..., 79) = 79
| ioctl(0, FIONREAD, [0])                 = 0
| write(1, "\33[17;1H* BACKSPACE (Info mode): "..., 79) = 79
| ioctl(0, FIONREAD, [0])                 = 0
| write(1, "\33[18;1H* C-l (Info mode):       "..., 79) = 79
| ioctl(0, FIONREAD, [0])                 = 0
| write(1, "\33[19;1H* C-q (Info mode):       "..., 79) = 79
| ioctl(0, FIONREAD, [0])                 = 0
| write(1, "\33[20;1H\33[7m--zz-Info: (info.info"..., 172) = 172
| write(1, "\33[21;1HGrundlegende Info-Befehls"..., 41) = 41
| ioctl(0, FIONREAD, [0])                 = 0
| write(1, "\33[22;1H\33[K", 10)          = 10
| ioctl(0, FIONREAD, [0])                 = 0
| write(1, "\33[23;1Hx           Dieses Hilfef"..., 53) = 53
| ioctl(0, FIONREAD, [0])                 = 0
| write(1, "\33[24;1Hq           Info g\303\244nzlic"..., 45) = 45
| ioctl(0, FIONREAD, [0])                 = 0
| write(1, "\33[25;1HH           Das Info-Tuto"..., 49) = 49
| ioctl(0, FIONREAD, [0])                 = 0
| write(1, "\33[26;1H\33[K", 10)          = 10
| ioctl(0, FIONREAD, [0])                 = 0
| write(1, "\33[27;1HUp          Eine Zeile na"..., 51) = 51
| ioctl(0, FIONREAD, [0])                 = 0
| write(1, "\33[28;1HDown        Eine Zeile na"..., 52) = 52
| ioctl(0, FIONREAD, [0])                 = 0
| write(1, "\33[29;1HDEL         Eine Bildschi"..., 60) = 60
| ioctl(0, FIONREAD, [0])                 = 0
| write(1, "\33[30;1HSPC         Eine Bildschi"..., 56) = 56
| ioctl(0, FIONREAD, [0])                 = 0
| write(1, "\33[31;1HHome        Zum Anfang di"..., 54) = 54
| ioctl(0, FIONREAD, [0])                 = 0
| write(1, "\33[32;1HEnd         Zum Ende dies"..., 52) = 52
| ioctl(0, FIONREAD, [0])                 = 0
| write(1, "\33[33;1H\33[K", 10)          = 10
| ioctl(0, FIONREAD, [0])                 = 0
| write(1, "\33[34;1HTAB         Zur n\303\244chsten"..., 58) = 58
| ioctl(0, FIONREAD, [0])                 = 0
| write(1, "\33[35;1HRET         Der Verkn\303\274pf"..., 63) = 63
| ioctl(0, FIONREAD, [0])                 = 0
| write(1, "\33[36;1Hl           Zum letzten i"..., 75) = 75
| ioctl(0, FIONREAD, [0])                 = 0
| write(1, "\33[37;1H\33[K", 10)          = 10
| ioctl(0, FIONREAD, [0])                 = 0
| write(1, "\33[38;1H[           Zum vorherige"..., 67) = 67
| ioctl(0, FIONREAD, [0])                 = 0
| write(1, "\33[39;1H\33[7m-----Info: *Info Help"..., 172) = 172
| write(1, "\33[21;1H", 7)                = 7
| ioctl(0, FIONREAD, [0])                 = 0
| read(0, "i", 1)                         = 1
| stat64("", 0xbfe621a8)                  = -1 ENOENT (No such file or directory)
| stat64("", 0xbfe621a8)                  = -1 ENOENT (No such file or directory)
| --- SIGSEGV (Segmentation fault) @ 0 (0) ---
| Process 4528 detached

Comment 1 Bug Zapper 2010-04-28 12:01:03 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Vitezslav Crhonek 2010-04-28 12:30:08 UTC
Reproduced, the issue is still there.

Comment 3 Bug Zapper 2010-07-30 11:14:22 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Fedora Update System 2010-08-31 12:41:20 UTC
texinfo-4.13a-10.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/texinfo-4.13a-10.fc14

Comment 5 Fedora Update System 2010-08-31 20:20:03 UTC
texinfo-4.13a-10.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update texinfo'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/texinfo-4.13a-10.fc14

Comment 6 Fedora Update System 2010-09-09 04:34:57 UTC
texinfo-4.13a-10.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.